Skip to main content
POST
Add a badge to the given member

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

member_id
integer<uint64>
required

ID of the member

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Body

application/json

Submit results as JSON

Request to add a badge to a member

badge_id
integer<uint64>
required

The ID of the badge to add to the member

Example:

12345

Response

The badge was added successfully

Badges are custom field values used to recognize and reward members

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

created_at
string<date-time>
required

The date and time the record was created

Example:

"2026-07-14T19:59:54+00:00"

updated_at
string<date-time>
required

The date and time the record was last modified

Example:

"2026-07-14T19:59:54+00:00"

title
string
required

The title of the badge

Example:

"Top Contributor"

custom_field_id
integer<uint64>
required

The ID of the custom field this badge belongs to

description
string

The description of the badge

Example:

"Awarded for exceptional contributions"

color
string

The hex color code for the badge

Example:

"#FFD700"

avatar_url
string

URL to the badge image